Colorize::Object(T) -

# struct Colorize::Object(T)

- Colorize::Object(T)
- Struct
- Value
- Object

## Defined in:

## Constructors

- .new(object : T)

## Instance Method Summary

- #back(color : Symbol)
- #back(back : Color)
- #black
- #blink
- #blue
- #bold
- #bright
- #cyan
- #dark_gray
- #default
- #dim
- #fore(color : Symbol)
- #fore(fore : Color)
- #green
- #hidden
- #inspect(io : IO) : Nil
- #light_blue
- #light_cyan
- #light_gray
- #light_green
- #light_magenta
- #light_red
- #light_yellow
- #magenta
- #mode(mode : Symbol)
- #on(color : Symbol)
- #on_black
- #on_blue
- #on_cyan
- #on_dark_gray
- #on_default
- #on_green
- #on_light_blue
- #on_light_cyan
- #on_light_gray
- #on_light_green
- #on_light_magenta
- #on_light_red
- #on_light_yellow
- #on_magenta
- #on_red
- #on_white
- #on_yellow
- #red
- #reverse
- #surround(io = STDOUT, &block)
- #to_s(io : IO) : Nil
- #toggle(flag)
- #underline
- #white
- #yellow

### Instance methods inherited from struct `Struct`

==(other) : Bool ==, hash(hasher) hash, inspect(io : IO) : Nil inspect, pretty_print(pp) : Nil pretty_print, to_s(io : IO) : Nil to_s

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new(object : T) #

## Instance Method Detail

def back(color : Symbol) #
def back(back : Color) #
def black #
def blink #
def blue #
def bold #
def bright #
def cyan #
def dark_gray #
def default #
def dim #
def fore(color : Symbol) #
def fore(fore : Color) #
def green #
def hidden #
def inspect(io : IO) : Nil #
def light_blue #
def light_cyan #
def light_gray #
def light_green #
def light_magenta #
def light_red #
def light_yellow #
def magenta #
def mode(mode : Symbol) #
def on(color : Symbol) #
def on_black #
def on_blue #
def on_cyan #
def on_dark_gray #
def on_default #
def on_green #
def on_light_blue #
def on_light_cyan #
def on_light_gray #
def on_light_green #
def on_light_magenta #
def on_light_red #
def on_light_yellow #
def on_magenta #
def on_red #
def on_white #
def on_yellow #
def red #
def reverse #
def surround(io = STDOUT, &block) #
def to_s(io : IO) : Nil #
def toggle(flag) #
def underline #
def white #
def yellow #